### Constructor

# Shumate PathLayer new

#### Declaration [src]

    ShumatePathLayer*
    shumate_path_layer_new (
      ShumateViewport* viewport
    )

#### Description [src]

Creates a new instance of `ShumatePathLayer`.

#### Parameters

`viewport` | `ShumateViewport`
| The `ShumateViewport`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `ShumatePathLayer`
| A new instance of `ShumatePathLayer`.
| The data is owned by the called function.